Kirjoittaja Aihe: Adobe flash  (Luettu 20945 kertaa)

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Adobe flash
« : 01.01.14 - klo:01.29 »
Joo eli ongelmani on että uusin adobe flash ei toimi 12.04 ubuntussani. Olen yrittänyt vaikka miten installoida vanhemman version adobe flashista onnistumatta siinä. Kokeillut olen myös lightsparkia joka sekään ei toiminut vaan sain virheviestin vain että "adobe flash kaatui" vaikka varmasti oli vain ja ainoastaan lightspark asennettuna. Onko toivo saada tälle koneelle youtube ym. streamit näkymään menetetty vai olisko jollain tarjota vielä jotain konstia? Kiitos jo etukäteen.

nm

  • Käyttäjä
  • Viestejä: 13752
    • Profiili
Vs: Adobe flash
« Vastaus #1 : 01.01.14 - klo:02.39 »
Tavallisesti Flash Player asennetaan Ubuntuun joko asentamalla paketti flashplugin-installer tai ubuntu-restricted-extras, joka puolestaan asentaa flashplugin-installerin mukanaan muiden multimediakomponenttien kanssa. Versio on tällä hetkellä 11.2.202.332 (11.2 r202).

Versiota 11.2 uudemman natiivin Flash Playerin saa Ubuntuun ja muihin Linux-jakeluihin vain Google Chromen mukana ja kyseinen liitännäinen toimii ainoastaan Chromessa ja muissa Chromiumiin perustuvissa selaimissa. Firefoxissa ja useimmissa muissa selaimissa on käytettävä versiota 11.2, johon julkaistaan vain tietoturvapäivityksiä.

Avaa selaimella sivu about:plugins ja katso, mitä se kertoo Shockwave Flashista. Suosittelen poistamaan kaikki järjestelmään asennetut Flash-versiot (myös flashplugin-installer). Sitten kun selain ei enää näytä mitään Flash-liitännäisiä, asenna flashplugin-installer takaisin.
« Viimeksi muokattu: 01.01.14 - klo:02.44 kirjoittanut nm »

salai

  • Käyttäjä
  • Viestejä: 2126
    • Profiili
Vs: Adobe flash
« Vastaus #2 : 01.01.14 - klo:05.36 »
2).
Versiota 11.2 uudemman natiivin Flash Playerin saa Ubuntuun ja muihin Linux-jakeluihin vain Google Chromen mukana ja kyseinen liitännäinen toimii ainoastaan Chromessa ja muissa Chromiumiin perustuvissa selaimissa. Firefoxissa ja useimmissa muissa selaimissa on käytettävä versiota 11.2, johon julkaistaan vain tietoturvapäivityksiä.
Pipelightin avulla saa Flashplayeristä käyttöön Adoben viimeisimmän version muissakin selaimissa.

Vaihto Pipelightin tarjoamaan wine-flashiin:
Koodia: [Valitse]
sudo apt-get purge flashplugin-installer
sudo pipelight-plugin --enable flash

Takaisin distron tarjoamaan versioon:
Koodia: [Valitse]
sudo apt-get install flashplugin-installer
sudo pipelight-plugin --disable flash

En tiedä kannattaako tuota suositella aloittelijoille (tai auttaisiko se edes). Pari kertaa on plugini kaatunut, mutta tuntuisi toimivan muuten hieman vähemmällä repimisellä esim. Areenan luontokuvissa.

Koodia: [Valitse]
$ sudo pipelight-plugin

Supported standard plugins:
  silverlight5.1
  silverlight5.0
  silverlight4
  flash
  unity3d

Additional plugins (experimental):
  shockwave
  foxitpdf
  grandstream

mrl586

  • Käyttäjä
  • Viestejä: 4556
    • Profiili
Vs: Adobe flash
« Vastaus #3 : 01.01.14 - klo:08.46 »
2).
Versiota 11.2 uudemman natiivin Flash Playerin saa Ubuntuun ja muihin Linux-jakeluihin vain Google Chromen mukana ja kyseinen liitännäinen toimii ainoastaan Chromessa ja muissa Chromiumiin perustuvissa selaimissa. Firefoxissa ja useimmissa muissa selaimissa on käytettävä versiota 11.2, johon julkaistaan vain tietoturvapäivityksiä.
Pipelightin avulla saa Flashplayeristä käyttöön Adoben viimeisimmän version muissakin selaimissa.
Adobe Flashin Windows-versio ei ole natiivi linux-sovellus. Se voi olla tietoturvariski, sillä ajettaessa Windows-sovelluksia linuxissa niihin mahdollisesti sisältyviä aukkoja voi hyödyntää.

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #4 : 01.01.14 - klo:13.46 »

Avaa selaimella sivu about:plugins ja katso, mitä se kertoo Shockwave Flashista. Suosittelen poistamaan kaikki järjestelmään asennetut Flash-versiot (myös flashplugin-installer). Sitten kun selain ei enää näytä mitään Flash-liitännäisiä, asenna flashplugin-installer takaisin.

Kokeiltu on eikä auta. about:plugins: komentoa ei löytynyt

2).
Versiota 11.2 uudemman natiivin Flash Playerin saa Ubuntuun ja muihin Linux-jakeluihin vain Google Chromen mukana ja kyseinen liitännäinen toimii ainoastaan Chromessa ja muissa Chromiumiin perustuvissa selaimissa. Firefoxissa ja useimmissa muissa selaimissa on käytettävä versiota 11.2, johon julkaistaan vain tietoturvapäivityksiä.
Pipelightin avulla saa Flashplayeristä käyttöön Adoben viimeisimmän version muissakin selaimissa.

Vaihto Pipelightin tarjoamaan wine-flashiin:
Koodia: [Valitse]
sudo apt-get purge flashplugin-installer
sudo pipelight-plugin --enable flash

Takaisin distron tarjoamaan versioon:
Koodia: [Valitse]
sudo apt-get install flashplugin-installer
sudo pipelight-plugin --disable flash

En tiedä kannattaako tuota suositella aloittelijoille (tai auttaisiko se edes). Pari kertaa on plugini kaatunut, mutta tuntuisi toimivan muuten hieman vähemmällä repimisellä esim. Areenan luontokuvissa.

Koodia: [Valitse]
$ sudo pipelight-plugin

Supported standard plugins:
  silverlight5.1
  silverlight5.0
  silverlight4
  flash
  unity3d

Additional plugins (experimental):
  shockwave
  foxitpdf
  grandstream

Pipelightin asennusyritys:  komentoa ei löytynyt

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #5 : 01.01.14 - klo:14.07 »
Tämä kone tuntuu vastustavan jostain syystä kaikkia yrityksiä saada flash toimimaan. Asensin google chromenkin mutta en pysty käynnistämään sitä koska se ei käynnisty.

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11044
    • Profiili
    • Tomin kotisivut
Vs: Adobe flash
« Vastaus #6 : 01.01.14 - klo:14.32 »
Mahtaisiko prosessorista puuttua SSE2-käskyt? Jos tuo ei palauta mitään, niin ne puuttuvat:
Koodia: [Valitse]
cat /proc/cpuinfo |grep sse2Adobe Flash ja Google Chrome vaativat kyseiset käskyt. Jos niitä ei ole, kyseisiä ohjelmia ei voi käyttää.

https://bugbase.adobe.com/index.cfm?event=bug&id=3161034
http://code.google.com/p/chromium/issues/detail?id=9007

Muokkaus: Jaa siis Chromessa tulee Flash mukana ja se pitää ottaa pois käytöstä, jos Chromea käyttää koneella, jossa ei ole noita käskyjä. Eli ei voi käyttää Flashiä silläkään:
http://forum.ubuntu-fi.org/index.php?topic=42989.msg331412#msg331412
« Viimeksi muokattu: 01.01.14 - klo:14.42 kirjoittanut Tomin »
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #7 : 01.01.14 - klo:14.46 »
Mahtaisiko prosessorista puuttua SSE2-käskyt? Jos tuo ei palauta mitään, niin ne puuttuvat:

Ei palauta mitään..

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #8 : 01.01.14 - klo:15.04 »
Voisiko joku neuvoa miten asennan vanhan flashin? fp_10.3.r183.43_archive tollasen latasin ja nyt se pitäs saada asennettua, en välitä riskeistä.

raimo

  • Käyttäjä
  • Viestejä: 3549
    • Profiili
Vs: Adobe flash
« Vastaus #9 : 01.01.14 - klo:15.08 »
Osan Youtube-videoista saa näkyviin HTML5 -muodossa, joka ei tarvi toimiakseen flashiä.
https://www.youtube.com/html5
So long and thanks for all the fish!

Tomin

  • Palvelimen ylläpitäjä
  • Käyttäjä / moderaattori+
  • Viestejä: 11044
    • Profiili
    • Tomin kotisivut
Vs: Adobe flash
« Vastaus #10 : 01.01.14 - klo:15.19 »
Voisiko joku neuvoa miten asennan vanhan flashin? fp_10.3.r183.43_archive tollasen latasin ja nyt se pitäs saada asennettua, en välitä riskeistä.

Pura se ja kopioi libflashplayer.so hakemistoon käyttäjälle ~/.mozilla/plugin/ (jos ei ole olemassa luo) tai koko järjestelmään /usr/lib/mozilla/plugins/ (ainakin Arch Linuxissa, pitää vielä Ubuntusta tarkistaa).

Tuommosen huomasin Linux.fi:stä, en tiedä toimiiko, mutta olisi parempi kuin vanhan version käyttäminen:
http://linux.fi/wiki/Flash#32-bittinen_versio

Muokkaus: Niin siis tuo ~ tarkoittaa kotihakemistoa eli .mozilla on piilohakemisto kotihakemistossa.
« Viimeksi muokattu: 01.01.14 - klo:15.21 kirjoittanut Tomin »
Automaattinen allekirjoitus:
Lisäisitkö [RATKAISTU] ketjun ensimmäisen viestin aiheeseen ongelman ratkettua, kiitos.

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #11 : 01.01.14 - klo:15.42 »
Voisiko joku neuvoa miten asennan vanhan flashin? fp_10.3.r183.43_archive tollasen latasin ja nyt se pitäs saada asennettua, en välitä riskeistä.

Pura se ja kopioi libflashplayer.so hakemistoon käyttäjälle ~/.mozilla/plugin/ (jos ei ole olemassa luo) tai koko järjestelmään /usr/lib/mozilla/plugins/ (ainakin Arch Linuxissa, pitää vielä Ubuntusta tarkistaa).

Tuommosen huomasin Linux.fi:stä, en tiedä toimiiko, mutta olisi parempi kuin vanhan version käyttäminen:
http://linux.fi/wiki/Flash#32-bittinen_versio

Muokkaus: Niin siis tuo ~ tarkoittaa kotihakemistoa eli .mozilla on piilohakemisto kotihakemistossa.

Avaa data.tar.lzma paketti paketinkäsittelyohjelmalla ja pura se Työpöydällesi esimerkiksi data nimiseen kansioon.  Miten?  Ja miten löydän tuon mozilla piilotiedoston?

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #12 : 01.01.14 - klo:15.50 »
Voisiko joku neuvoa miten asennan vanhan flashin? fp_10.3.r183.43_archive tollasen latasin ja nyt se pitäs saada asennettua, en välitä riskeistä.

Pura se ja kopioi libflashplayer.so hakemistoon käyttäjälle ~/.mozilla/plugin/ (jos ei ole olemassa luo) tai koko järjestelmään /usr/lib/mozilla/plugins/ (ainakin Arch Linuxissa, pitää vielä Ubuntusta tarkistaa).

Tuommosen huomasin Linux.fi:stä, en tiedä toimiiko, mutta olisi parempi kuin vanhan version käyttäminen:
http://linux.fi/wiki/Flash#32-bittinen_versio

Muokkaus: Niin siis tuo ~ tarkoittaa kotihakemistoa eli .mozilla on piilohakemisto kotihakemistossa.

Avaa data.tar.lzma paketti paketinkäsittelyohjelmalla ja pura se Työpöydällesi esimerkiksi data nimiseen kansioon.  Miten? En löydä tuommoista tiedostoa?  Ja miten löydän tuon mozilla piilotiedoston?

Jupro

  • Käyttäjä
  • Viestejä: 36
    • Profiili
Vs: Adobe flash
« Vastaus #13 : 01.01.14 - klo:15.54 »
Onko toivo saada tälle koneelle youtube ym. streamit näkymään menetetty vai olisko jollain tarjota vielä jotain konstia? Kiitos jo etukäteen.

Minulla oli puoli vuotta sitten ihan sama ongelma ja kun mikään muu ei auttanut, niin asensin Firefoxiin Flash-aid lisäosan ja valitsin valikosta Quick moden ja sieltä Install stable flash.

Sen jälkeen on Flash Player toiminu hyvin ja päivitykset on asentunu normaalisti.

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #14 : 01.01.14 - klo:15.57 »
Onko toivo saada tälle koneelle youtube ym. streamit näkymään menetetty vai olisko jollain tarjota vielä jotain konstia? Kiitos jo etukäteen.

Minulla oli puoli vuotta sitten ihan sama ongelma ja kun mikään muu ei auttanut, niin asensin Firefoxiin Flash-aid lisäosan ja valitsin valikosta Quick moden ja sieltä Install stable flash.

Sen jälkeen on Flash Player toiminu hyvin ja päivitykset on asentunu normaalisti.

Tuota flash aidia ei saa enää mistään..

nm

  • Käyttäjä
  • Viestejä: 13752
    • Profiili
Vs: Adobe flash
« Vastaus #15 : 01.01.14 - klo:16.08 »
Voisiko joku neuvoa miten asennan vanhan flashin? fp_10.3.r183.43_archive tollasen latasin ja nyt se pitäs saada asennettua, en välitä riskeistä.

Pura se ja kopioi libflashplayer.so hakemistoon käyttäjälle ~/.mozilla/plugin/ (jos ei ole olemassa luo) tai koko järjestelmään /usr/lib/mozilla/plugins/ (ainakin Arch Linuxissa, pitää vielä Ubuntusta tarkistaa).

Tuommosen huomasin Linux.fi:stä, en tiedä toimiiko, mutta olisi parempi kuin vanhan version käyttäminen:
http://linux.fi/wiki/Flash#32-bittinen_versio

Ei toimi enää nykyisin, koska Chromen Flash-liitännäisessä ei ole tukea NPAPI-rajapinnalle.

Viimeinen NPAPI Flash Player -julkaisu Linuxille ilman SSE2-vaatimusta taitaa olla 10.3.183.90 (11.6.2013). Tämän jälkeen Adobe vaihtoi pitkän tuen versioksi 11.7:n. Flash Player 11.1 toimisi myös, mutta siinä ei ole yhtä tuoreita tietoturvapäivityksiä.


Asennus päätteessä:

Koodia: [Valitse]
wget http://download.macromedia.com/pub/flashplayer/installers/archive/fp_10.3.183.90_archive.zip
unzip fp_10.3.183.90_archive.zip
cd fp_10.3.183.90_archive/10_3_r183_90
tar -zxvf flashplayer_10_3r183_90_linux.tar.gz

cp libflashplayer.so ~/.mozilla/plugins

Voit myös korvata viimeisen komennon tällä, jolloin liitännäinen toimii koko järjestelmän laajuisesti kaikilla käyttäjillä:

Koodia: [Valitse]
sudo cp libflashplayer.so /usr/lib/mozilla/plugins/



Tämä kone tuntuu vastustavan jostain syystä kaikkia yrityksiä saada flash toimimaan. Asensin google chromenkin mutta en pysty käynnistämään sitä koska se ei käynnisty.

Mitä se sanoo, kun yrität käynnistää päätteessä komennolla google-chrome?



Avaa selaimella sivu about:plugins ja katso, mitä se kertoo Shockwave Flashista. Suosittelen poistamaan kaikki järjestelmään asennetut Flash-versiot (myös flashplugin-installer). Sitten kun selain ei enää näytä mitään Flash-liitännäisiä, asenna flashplugin-installer takaisin.

Kokeiltu on eikä auta. about:plugins: komentoa ei löytynyt

about:plugins on selaimessa avattava sivu. Kirjoita se selaimen osoitekenttään.


Pipelightin asennusyritys:  komentoa ei löytynyt

Asenna ensin varsinainen Pipelight. Nyt yritit vain asentaa Pipelightin Flash-liitännäisen. Tässä koko asennusprosessi:

Koodia: [Valitse]
sudo add-apt-repository ppa:pipelight/stable
sudo apt-get update
sudo apt-get install pipelight-multi
sudo pipelight-plugin --enable flash
« Viimeksi muokattu: 01.01.14 - klo:16.26 kirjoittanut nm »

Cultor

  • Käyttäjä
  • Viestejä: 165
    • Profiili
Vs: Adobe flash
« Vastaus #16 : 01.01.14 - klo:16.25 »
Osan Youtube-videoista saa näkyviin HTML5 -muodossa, joka ei tarvi toimiakseen flashiä.
https://www.youtube.com/html5

Kokemukseni mukaan vain poikkeustapauksissa Youtubessa tarvitaan flässiä. Flash Player on paholaisen keksintö.

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #17 : 01.01.14 - klo:16.30 »
Kiitos nyt toimii kaikki muu paitsi live streamit kun sain asennettua tuon vanhan flashin.
Kun kirjoittaa google chrome niin ei sano pääte mitään. Koitin uudestaan tuota pipelightia ja sain päätteeseen herjauksen "ValueError: cannot convert float NaN to integer"

Eesaurus

  • Käyttäjä
  • Viestejä: 3076
    • Profiili
Vs: Adobe flash
« Vastaus #18 : 01.01.14 - klo:16.34 »
Kiitos nyt toimii kaikki muu paitsi live streamit kun sain asennettua tuon vanhan flashin.
Kun kirjoittaa google chrome niin ei sano pääte mitään. Koitin uudestaan tuota pipelightia ja sain päätteeseen herjauksen "ValueError: cannot convert float NaN to integer"

Lataa Chrome täältä: https://www.google.com/intl/fi/chrome/browser/

Ladattu tiedosto asentuu tuplaklikkauksella.

LISÄYS: Jaa, se olikin jo asennettu... No, pitäisi käynnistyä komentiriviltä komennolla
Koodia: [Valitse]
google-chrome
« Viimeksi muokattu: 01.01.14 - klo:16.37 kirjoittanut Eesaurus »

Leinsa

  • Käyttäjä
  • Viestejä: 22
    • Profiili
Vs: Adobe flash
« Vastaus #19 : 01.01.14 - klo:16.41 »
Kiitos nyt toimii kaikki muu paitsi live streamit kun sain asennettua tuon vanhan flashin.
Kun kirjoittaa google chrome niin ei sano pääte mitään. Koitin uudestaan tuota pipelightia ja sain päätteeseen herjauksen "ValueError: cannot convert float NaN to integer"

Lataa Chrome täältä: https://www.google.com/intl/fi/chrome/browser/

Ladattu tiedosto asentuu tuplaklikkauksella.

LISÄYS: Jaa, se olikin jo asennettu... No, pitäisi käynnistyä komentiriviltä komennolla
Koodia: [Valitse]
google-chrome
[0101/164036:ERROR:nacl_helper_linux.cc(233)] NaCl helper process running without a sandbox!